Package org.apache.solr.common.util

## Interface ReflectMapWriter

All Superinterfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`

All Known Implementing Classes:
  `AddReplicaPayload`, `AddReplicaPropertyPayload`, `BackupCollectionPayload`, `BalanceShardUniquePayload`, `ClusterPropPayload`, `ClusterPropPayload.Cluster`, `ClusterPropPayload.CollectionDefaults`, `ClusterPropPayload.Defaults`, `CreateAliasPayload`, `CreateAliasPayload.AliasRouter`, `CreateConfigPayload`, `CreateCorePayload`, `CreatePayload`, `CreateShardPayload`, `DeleteAliasPayload`, `DeleteBackupPayload`, `DeleteBasicAuthUserPayload`, `DeleteReplicaPropertyPayload`, `ForceLeaderPayload`, `InvokeClassPayload`, `ListBackupPayload`, `MigrateDocsPayload`, `ModifyCollectionPayload`, `MoveReplicaPayload`, `OverseerOperationPayload`, `Package.AddVersion`, `Package.DelVersion`, `PerReplicaStates`, `PluginMeta`, `PrepareCoreRecoveryPayload`, `RateLimiterPayload`, `RebalanceLeadersPayload`, `RejoinLeaderElectionPayload`, `ReloadCollectionPayload`, `RequestApplyCoreUpdatesPayload`, `RequestBufferUpdatesPayload`, `RequestCoreRecoveryPayload`, `RequestSyncShardPayload`, `RestoreCollectionPayload`, `SetAliasPropertyPayload`, `SetCollectionPropertyPayload`, `SetRuleBasedAuthPermissionPayload`, `SplitShardPayload`, `SyncShardPayload`, `UpdateRuleBasedAuthPermissionPayload`

    public interface ReflectMapWriter
    extends MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Method Summary

All Methods Instance Methods Default Methods
`default void` `writeMap​(MapWriter.EntryWriter ew)`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Method Detail

#### writeMap

    default void writeMap​(MapWriter.EntryWriter ew)
                   throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`